%global momorel 2
%global realver 2.0-754

Summary: iSCSI daemon and utility programs
Name: iscsi-initiator-utils
Version: 6.2.0.754
Release: %{momorel}m%{?dist}
%NoSource 0 http://www.open-iscsi.org/bits/open-iscsi-%{realver}.tar.gz 2e7ce941ea4e4eda7c82f0b272a33bf9
Source1: iscsid.init
Source2: iscsidevs.init
Patch0: iscsi-initiator-utils-update-initscripts-and-docs.patch
Patch1: iscsi-initiator-utils-add-iscsi-iname.patch
Patch2: iscsi-initiator-utils-use-var-for-config.patch

Group: System Environment/Daemons
License: GPL
URL: http://www.open-iscsi.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel perl
Prereq: /sbin/chkconfig
ExcludeArch: s390 s390x

%description
The iscsi package provides the server daemon for the iSCSI protocol,
as well as the utility programs used to manage it. iSCSI is a protocol
for distributed disk access using SCSI commands sent over Internet
Protocol networks.

%prep
%setup -q -n open-iscsi-%{realver}
%patch0 -p1 -b .update-initscripts-and-docs
%patch1 -p1 -b .add-iscsi-iname
%patch2 -p1 -b .fix-session-mixup-on-restart

%build
make OPTFLAGS="%{optflags}" -C usr
make OPTFLAGS="%{optflags}" -C utils

%install
rm -rf --preserve-root %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/iscsi
mkdir -p %{buildroot}/etc/iscsi
mkdir -p %{buildroot}/etc/iscsi
mkdir -p %{buildroot}/var/lib/iscsi
mkdir -p %{buildroot}/var/lib/iscsi/nodes
mkdir -p %{buildroot}/var/lib/iscsi/send_targets
mkdir -p %{buildroot}/var/lock/iscsi

install -s -m 755 usr/iscsid usr/iscsiadm utils/iscsi-iname usr/iscsistart %{buildroot}/sbin
install -m 644 doc/iscsiadm.8 %{buildroot}/%{_mandir}/man8
install -m 644 doc/iscsid.8 %{buildroot}/%{_mandir}/man8
#install -m 755 etc/initd/initd.redhat %{buildroot}/etc/rc.d/init.d/iscsi
install -m 644 etc/iscsid.conf %{buildroot}/etc/iscsi

install -m 755 %{SOURCE1} %{buildroot}/etc/init.d/iscsid
install -m 755 %{SOURCE2} %{buildroot}/etc/init.d/iscsi

# stop auto start
perl -p -i -e 's@^# chkconfig: (\d+) (\d+) (\d+)$@# chkconfig: - $2 $3@' %{buildroot}/etc/init.d/iscsid
perl -p -i -e 's@^# chkconfig: (\d+) (\d+) (\d+)$@# chkconfig: - $2 $3@' %{buildroot}/etc/init.d/iscsi

%clean
rm -rf --preserve-root %{buildroot}

%post
if [ ! -f /etc/iscsi/initiatorname.iscsi ]; then
	echo "InitiatorName=`/sbin/iscsi-iname`" > /etc/iscsi/initiatorname.iscsi
fi
/sbin/chkconfig --add iscsi
/sbin/chkconfig --add iscsid

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del iscsi
    /sbin/chkconfig --del iscsid
fi

%files
%defattr(-,root,root)
%doc README
%dir /var/lib/iscsi/nodes
%dir /var/lib/iscsi/send_targets
%dir /var/lock/iscsi
%config /etc/init.d/iscsi
%config /etc/init.d/iscsid
%attr(0600,root,root) %config(noreplace) /etc/iscsi/iscsid.conf
/sbin/*
%{_mandir}/*/*

%changelog
* Wed Jun 20 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (6.2.0.754-2m)
- stop auto start

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.2.0.754-1m)
- update 6.2.0.754
- add iscsid daemon

* Wed Dec 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.2.0.695-1m)
- initial commit(import from FC-devel)

